Skip to content
WP Engine Documentation

List your sites

GET
/sites
curl --request GET \
--url 'https://api.wpengineapi.com/v1/sites?limit=100&offset=0' \
--header 'Authorization: Basic <credentials>'
limit
integer
default: 100 <= 100

(Optional) The number of records to return

offset
integer
0

(Optional) The first record of the result set to be retrieved

account_id
string format: uuid

(Optional) The uuid of an account

List of sites

Media type application/json
object
previous

Path to the previous page of results

string
next

Path to the next page of results

string
count

The total number of results

integer
results
Array<object>
object
id
required
string format: uuid
name
required
string
account
required
object
id

The account ID

string format: uuid
group_name
string
tags
Array<string>
created_at

The date and time the site was created in UTC

string format: date-time
sandbox

Whether the site is a sandbox site

boolean
transferable

Whether the site is transferable

boolean
installs
Array
object
id
string format: uuid
name
string
environment
string
Allowed values: production staging development
cname

Returns the CNAME of the install

string
php_version

The PHP version used to run WordPress

string
is_multisite
boolean
Example
{
"previous": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0",
"next": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200",
"count": 225,
"results": [
{
"id": "28c78b6d-c2da-4f09-85f5-1ad588089b2d",
"name": "Torque Magazine",
"account": {
"id": "eeda3227-9a39-46ae-9e14-20958bb4e6c9"
},
"group_name": "Overdue",
"tags": [
"tag1",
"tag2",
"tag3"
],
"created_at": "2025-07-10T09:59:58.684Z",
"sandbox": false,
"transferable": false,
"installs": [
{
"id": "294deacc-d8b8-4005-82c4-0727ba8ddde0",
"name": "torquemag",
"environment": "production",
"cname": "mywebsite.wpengine.com",
"php_version": "7.3",
"is_multisite": false
}
]
}
]
}

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Too many requests

Media type application/json

Service unavailable

Media type application/json